{
	"type": "minecraft:fishing",
	"pools": [
		{
			"rolls": 1,
			"entries": [
				{
					"type": "item",
					"name": "minecraft:shield",
					"weight": 100,
					"functions": [
						{
							"function": "set_nbt",
							"tag": "{HideFlags:32,Enchantments:[{id:\"minecraft:unbreaking\",lvl:3s}],AttributeModifiers:[{AttributeName:\"generic.movement_speed\",Name:\"generic.movement_speed\",Amount:.2,Operation:2,UUID:[I;6969,6969,6969,1074],Slot:\"offhand\"},{AttributeName:\"generic.attack_speed\",Name:\"generic.attack_speed\",Amount:.1,Operation:2,UUID:[I;6969,6969,6969,1075],Slot:\"offhand\"}],display:{Name:\"{\\\"text\\\":\\\"Agile Shield\\\",\\\"color\\\":\\\"#20D690\\\"}\"},BlockEntityTag:{Base:8,Patterns:[{Pattern:tts,Color:13},{Pattern:bts,Color:13},{Pattern:sc,Color:0},{Pattern:sc,Color:8},{Pattern:bo,Color:13},{Pattern:mc,Color:7},{Pattern:mc,Color:8}]}}"
						}
					]
				}
			]
		}
	]
}
